%define sourcedir stable/%{version}/distribution/tar/generic/source
%define pkg kdemultimedia
%define VER 2.0
%define DATE 20001017
%define is_release 1
%define is_preview 1

%if %{is_preview}
Name: %{pkg}2
Requires: kdesupport2
Prefix: /usr/lib/kde2
%else
Name: %{pkg}
Requires: kdesupport
Obsoletes: aktion
Prefix: /usr
%endif
%if %{is_release}
Version: %{VER}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{version}.tar.bz2
%else
Version: %{VER}.%{DATE}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{DATE}.tar.bz2
%endif
Icon: kde-icon.xpm
Summary: Multimedia applications for the K Desktop Environment (KDE).
Release: 1
Epoch: 6
Source1: brahms-%{DATE}.tar.bz2
Patch: kdemultimedia-1.93-broken.patch
Patch2: brahms-20001004-gcc296.patch
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{pkg}-buildroot
Copyright: GPL
Prereq: /sbin/ldconfig
ExcludeArch: ia64

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdemultimedia package contains multimedia applications for
KDE, including kmedia, a media player; kmid, a midi/karaoke player;
kmidi, a midi-to-wav player/converter; kmix, a mixer; and kscd, and
audio CD player.

Install kdemultimedia if you need multimedia applications for KDE. If
you're installing KDE, you'll also need to install kdebase, kdelibs
and kdesupport.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{pkg}-%{version} -a 1
#%patch -p1 -b .g++broken
%patch2 -p0 -b .gcc296

make -f Makefile.cvs
find . -name "*.moc" -exec rm -rf {} \;

%build
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

export PATH=%{prefix}/bin:$PATH
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

export FLAGS="$RPM_OPT_FLAGS -DNDEBUG"

CFLAGS="$FLAGS" CXXFLAGS="$FLAGS -fno-check-new" \
	./configure --prefix=%{prefix} \
	--disable-motif \
	--with-motif-includes=none \
	--with-motif-libraries=none \
	--enable-final \
%if %{is_preview} == 0
	--includedir=/usr/include/kde
%endif

make -j $CPUS

%install
make install DESTDIR=$RPM_BUILD_ROOT
for i in $RPM_BUILD_ROOT/%{prefix}/bin/*; do
  strip -R .comment $i || : &>/dev/null
done

# don't make these world-writeable
chmod go-w $RPM_BUILD_ROOT/%{prefix}/share/apps/kscd/*
chmod go-w $RPM_BUILD_ROOT/%{prefix}/share/apps/kscd/cddb/*

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{pkg}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{pkg}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{pkg}

echo "%docdir %{prefix}/share/doc/kde" >> $RPM_BUILD_DIR/file.list.%{pkg}


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{pkg}

%files -f ../file.list.%{pkg}

%changelog
* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final


* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update kdemultimedia-1.93
- fix to rebuilt with gcc-2.96

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- fix to build against gcc-2.96-40 on sparc, alpha
- disable motif

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsoletes: aktion (it's included now)

* Wed Jun 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Apr  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- fix localkscd patch, broken since 6.1 (#9404).

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove (world!) write permissions to %{prefix}/share/apps/kscd/cddb/*
- fix description

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Change the kmix error message (Bug #9065)
- Fix kmidi behavior when trying to play an empty playlist (Bug #8843)
- Fix compilation with kernel 2.3.x headers

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current version from KDE_1_1_BRANCH
- work around make install-strip breakage
- Rebuild for 6.2

* Sat Sep 25 1999 Preston Brown <pbrown@redhat.com>
- patched kscd to use local user directory for cddb entries

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- snapshot from today fixed kmid freeze issues

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- complies w/new RPM, newer libstdc++

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane
